package com.jh.boot.web;

import java.util.StringJoiner;

import org.springframework.util.StringUtils;

import com.jh.boot.jpa.AbstractIdEntity;
import com.jh.boot.security.model.AppUser;

public class ConverterUtils {

    public static Long id(AbstractIdEntity user) {
	    return user == null ? null : user.getId();
    }

    public static String name(AppUser user) {
        if (user == null) {
            return null;
        }

        StringJoiner sj = new StringJoiner(" ");
        if (StringUtils.hasText(user.getFirstName())) {
            sj.add(user.getFirstName());
        }
        if (StringUtils.hasText(user.getLastName())) {
            sj.add(user.getLastName());
        }
        return sj.toString();
    }
	
}
